window.addEventListener('message', (event) => {
    if (event.data && event.data.eventName === 'addShoppigCartItem') {
        jQuery(function ($) {
            let vendorCode = event.data.payload.item.sku;

            let addData = {
                action: 'wizart_add_to_cart',
                vendor_code: vendorCode
            };

            jQuery.post(ajax_url.url, addData, function(response) {
                let getData = {
                    action: 'wizart_get_cart_items',
                };

                let request = jQuery.ajax({
                    method: "GET",
                    url: ajax_url.url,
                    data: getData,
                    accept: "json",
                });

                request.done(function (response) {
                    let cartData = JSON.parse(response);

                    window.frames.wizartFittingRoom.postMessage({
                        eventName: 'setShoppingCartStore',
                        payload: cartData,
                    }, '*');
                }).fail(function () {
                    console.log('Error get cart items for set shopping cart store');
                });
            }).fail(function () {
                console.log('Error post data for add shopping cart item');
            });
        });
    }
}, false);