function handler_wizart_onload_callback() {
    const frame = document.getElementById('wizart-fitting-room-object');
    let data = {
        action: 'wizart_get_cart_items',
    };

    let request = jQuery.ajax({
        method: "GET",
        url: ajax_url.url,
        data: data,
        accept: "json",
    });

    request.done(function (response) {
        let cartData = JSON.parse(response);

        frame.contentWindow.postMessage({
            eventName: 'setShoppingCartStore',
            payload: cartData
        }, '*');

    }).fail(function () {
        console.log('Error get cart items for set shopping cart store');
    });
}