window.addEventListener('message', (event) => {
    if (event.data && event.data.eventName === 'removeShoppigCartItem') {
        jQuery(function ($) {
            let vendorCode = event.data.payload.item.sku;
            let isRemoveAll = event.data.payload.item.removeAll;

            let removeData = {
                action: 'wizart_remove_from_cart',
                vendor_code: vendorCode,
                remove_all: isRemoveAll
            };

            jQuery.post( ajax_url.url, removeData, function(response) {
                let getData = {
                    action: 'wizart_get_cart_items',
                };

                let request = jQuery.ajax({
                    method: "GET",
                    url: ajax_url.url,
                    data: getData,
                    accept: "json",
                });

                request.done(function (response) {
                    let cartData = JSON.parse(response);

                    window.frames.wizartFittingRoom.postMessage({
                        eventName: 'setShoppingCartStore',
                        payload: cartData,
                    }, '*');

                }).fail(function () {
                    console.log('Error get cart items for set shopping cart store');
                });

            }).fail(function () {
                console.log('Error get cart items for remove shopping cart item');
            });
        });
    }
}, false);